cascading.flow.stream.element

## Class SpliceGate<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<Incoming,Outgoing>

- All Implemented Interfaces:
    Collapsing, ElementDuct
  Direct Known Subclasses:
    GroupingSpliceGate

      public abstract class SpliceGate<Incoming,Outgoing>
      extends Gate<Incoming,Outgoing>
      implements ElementDuct, Collapsing

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FlowProcess` | `flowProcess`
    `protected List<Scope>` | `incomingScopes`
    `protected List<Scope>` | `outgoingScopes`
    `protected IORole` | `role`
    `protected Splice` | `splice`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpliceGate(FlowProcess flowProcess, Splice splice)`
    `SpliceGate(FlowProcess flowProcess, Splice splice, IORole role)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getBranchNames()`
    `FlowElement` | `getFlowElement()`
    `List<Scope>` | `getIncomingScopes()`
    `List<Scope>` | `getOutgoingScopes()`
    `Splice` | `getSplice()`
    `protected void` | `handleException(Throwable exception, TupleEntry tupleEntry)`
    `protected void` | `handleReThrowableException(String message, Throwable throwable)`
    `boolean` | `hasTrapHandler()`
    `void` | `initialize()` Called immediately after bind
    `void` | `setBranchNames(Set<String> branchNames)`
    `void` | `setTrapHandler(TrapHandler trapHandler)`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, cleanup, complete, getNext, getNextFor, prepare, receive, receiveFirst, start, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### splice

          protected Splice splice

    - #### flowProcess

          protected final FlowProcess flowProcess

    - #### role

          protected IORole role

    - #### incomingScopes

          protected final List<Scope> incomingScopes

    - #### outgoingScopes

          protected final List<Scope> outgoingScopes

  - ### Constructor Detail

    - #### SpliceGate

          public SpliceGate(FlowProcess flowProcess,
                    Splice splice)

    - #### SpliceGate

          public SpliceGate(FlowProcess flowProcess,
                    Splice splice,
                    IORole role)

  - ### Method Detail

    - #### getSplice

          public Splice getSplice()

    - #### handleReThrowableException

          protected void handleReThrowableException(String message,
                                        Throwable throwable)

    - #### handleException

          protected void handleException(Throwable exception,
                             TupleEntry tupleEntry)

    - #### initialize

          public void initialize()

      Description copied from class: `Duct`
      Called immediately after bind
      Overrides:
        `initialize` in class `Duct<Incoming,Outgoing>`

    - #### setBranchNames

          public void setBranchNames(Set<String> branchNames)

      Specified by:
        `setBranchNames` in interface `ElementDuct`

    - #### getBranchNames

          public Set<String> getBranchNames()

      Specified by:
        `getBranchNames` in interface `ElementDuct`

    - #### setTrapHandler

          public void setTrapHandler(TrapHandler trapHandler)

      Specified by:
        `setTrapHandler` in interface `ElementDuct`

    - #### hasTrapHandler

          public boolean hasTrapHandler()

      Specified by:
        `hasTrapHandler` in interface `ElementDuct`

    - #### getFlowElement

          public FlowElement getFlowElement()

      Specified by:
        `getFlowElement` in interface `ElementDuct`

    - #### getOutgoingScopes

          public List<Scope> getOutgoingScopes()

      Specified by:
        `getOutgoingScopes` in interface `ElementDuct`

    - #### getIncomingScopes

          public List<Scope> getIncomingScopes()

      Specified by:
        `getIncomingScopes` in interface `ElementDuct`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.